zenilib: Zeni::VLUID Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::VLUID Class Reference
Zenilib

Variable Length Unique IDentifier. More...

`#include <VLUID.h>`

Inherits Zeni::Serializable.

## Public Member Functions

int | compare (const VLUID &rhs) const
bool | operator!= (const VLUID &rhs) const
VLUID & | operator++ ()
VLUID | operator++ (int)
bool | operator< (const VLUID &rhs) const
bool | operator<= (const VLUID &rhs) const
bool | operator== (const VLUID &rhs) const
bool | operator> (const VLUID &rhs) const
bool | operator>= (const VLUID &rhs) const
const unsigned char & | operator[] (const size_t &index) const
virtual std::ostream & | serialize (std::ostream &os) const
Uint16 | size () const
virtual std::istream & | unserialize (std::istream &is)
Public Member Functions inherited from Zeni::Serializable
| Serializable ()
virtual | ~Serializable ()

## Additional Inherited Members

Protected Attributes inherited from Zeni::Serializable
Uint16 | m_size

## Detailed Description

Variable Length Unique IDentifier.

When the length of an ID has to be able to grow until the end of time, this is the way to go.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 47 of file VLUID.h.

## Member Function Documentation

int Zeni::VLUID::compare | ( | const VLUID & | rhs | ) | const

Definition at line 25 of file VLUID.cpp.

References Zeni::Serializable::m_size.

bool Zeni::VLUID::operator!= | ( | const VLUID & | rhs | ) | const

inline

Definition at line 51 of file VLUID.h.

VLUID & Zeni::VLUID::operator++ | ( |  | ) |

Definition at line 45 of file VLUID.cpp.

References Zeni::Serializable::m_size.

VLUID Zeni::VLUID::operator++ | ( | int |  | ) |

Definition at line 61 of file VLUID.cpp.

bool Zeni::VLUID::operator< | ( | const VLUID & | rhs | ) | const

inline

Definition at line 52 of file VLUID.h.

bool Zeni::VLUID::operator<= | ( | const VLUID & | rhs | ) | const

inline

Definition at line 53 of file VLUID.h.

bool Zeni::VLUID::operator== | ( | const VLUID & | rhs | ) | const

inline

Definition at line 50 of file VLUID.h.

bool Zeni::VLUID::operator> | ( | const VLUID & | rhs | ) | const

inline

Definition at line 54 of file VLUID.h.

bool Zeni::VLUID::operator>= | ( | const VLUID & | rhs | ) | const

inline

Definition at line 55 of file VLUID.h.

const unsigned char& Zeni::VLUID::operator[] | ( | const size_t & | index | ) | const

inline

Definition at line 62 of file VLUID.h.

std::ostream & Zeni::VLUID::serialize | ( | std::ostream & | os | ) | const

virtual

Implements Zeni::Serializable.

Definition at line 67 of file VLUID.cpp.

References Zeni::Serializable::m_size, and Zeni::Serializable::serialize().

Referenced by Zeni::Split_UDP_Socket::send().

Uint16 Zeni::VLUID::size | ( |  | ) | const

inlinevirtual

Reimplemented from Zeni::Serializable.

Definition at line 60 of file VLUID.h.

References Zeni::Serializable::m_size.

Referenced by Zeni::Split_UDP_Socket::receive(), and Zeni::Split_UDP_Socket::send().

std::istream & Zeni::VLUID::unserialize | ( | std::istream & | is | ) |

virtual

Implements Zeni::Serializable.

Definition at line 73 of file VLUID.cpp.

References Zeni::Serializable::m_size, and Zeni::Serializable::unserialize().

Referenced by Zeni::Split_UDP_Socket::receive().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_net/Zeni/VLUID.h
- zenilib/jni/external/zenilib/zeni_net/VLUID.cpp